Subject: Re: telling setup to "get everything"
From: David T-G <[email-masked]>
To: "CygWin Users' List" <[email-masked]>
Cc: Robert Collins <[email-masked]>
Date: Wed, 29 May 2002 16:49:14 -0500

Robert, et al --

...and then Robert Collins said...
% 
% > -----Original Message-----
% > From: [email-masked] 
% > [mailto:[email-masked]] On Behalf Of David T-G
...
% > 
% > In my playing with setup I never figured out how to tell it to force a
% > download of everything, whether it thinks I have it or not, without
% > having to manually click on many, many, many packages.
% 
% This is because setup.exe is not a mirroring tool, and 'getting
% everything' is a mirroring exercise. Setup is designed to only download

Hmmm...  Good point; I had thought of it as a "get ready to install from
CD" exercise, but mirroring certainly sounds more like it.

So maybe I just need to check out wget or rsync or whatever method the
site supports.  Good enough.

% the gap - the pacakges that are not available in the local cache but are
% needed to perform your requested actions. You may find that clicking on
% the top level 'default' comes close, or even does what you want though.

Well, close in some respects, but it was still a lot of clicking.  The
problem that I faced was that I had a "dirty" setup, and so it kept
telling me I had things that I didn't, and then there was the whole
matter of the missing libintl1 package (I wish I'd known then what and
how to report!).

% YMMV.

It sure did :-)

% 
% Rob

Thanks & HAND

:-D
-- 
David T-G                      * It's easier to fight for one's principles
(play) [email-masked] * than to live up to them. -- fortune cookie
(work) [email-masked]
http://www.justpickone.org/davidtg/    Shpx gur Pbzzhavpngvbaf Qrprapl Npg!